Name: perl-Mail-SPF
%define pkgname Mail-SPF
Version: 2.004
Release: 1%{?dist}
Summary: An object-oriented implementation of Sender Policy Framework
Group: Development/Libraries
License: BSD
URL: http://search.cpan.org/dist/%{pkgname}/
Source: http://search.cpan.org/CPAN/authors/id/J/JM/JMEHNLE/mail-spf/%{pkgname}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch: noarch
BuildRequires: perl >= 1:5.6.0
BuildRequires: perl(Module::Build) >= 0.26
BuildRequires: perl(version)
BuildRequires: perl(Test::More)
BuildRequires: perl(Net::DNS::Resolver::Programmable) >= 0.002.1
BuildRequires: perl(Error), perl(NetAddr::IP), perl(URI)

%description
Mail::SPF is an object-oriented implementation of Sender Policy
Framework (SPF). See http://www.openspf.org for more information about
SPF.

This class collection aims to fully conform to the SPF specification
(RFC 4408) so as to serve both as a production quality SPF
implementation and as a reference for other developers of SPF
implementations.

%prep
%setup -q -n %{pkgname}-%{version}

%build
perl Build.PL --installdirs vendor
./Build
./Build test

%install
rm -rf %{buildroot}
./Build install --destdir %{buildroot}
find %{buildroot} \( -name .packlist -or -name perllocal.pod -or \( -name '*.bs' -a -empty \) \) -exec /bin/rm -f {} \;

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE README
%{perl_vendorlib}/Mail/SPF.pm
%{perl_vendorlib}/Mail/SPF
%{perl_man3dir}/Mail::SPF.3pm*
%{perl_man3dir}/Mail::SPF::*.3pm*
%{perl_bin}/spfquery
%{_sbindir}/spfd
%{perl_man1dir}/spfquery.1*

%changelog
* Mon May  7 2007 Axel Thimm <Axel.Thimm@ATrpms.net>
- Initial build.
